Bug 1266743 - [abrt] filezilla: XKeysymToKeycode(): filezilla killed by SIGSEGV
[abrt] filezilla: XKeysymToKeycode(): filezilla killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxGTK3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Talbert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a9fc5bbf361b73a051f0af52d7f...
:
: 1321343 1356289 1358027 1361550 1362172 1362258 1364468 1368749 1370227 1374914 (view as bug list)
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-09-27 05:15 EDT by František Zatloukal
Modified: 2016-09-29 18:51 EDT (History)
15 users (show)

See Also:
Fixed In Version: wxGTK3-3.0.2-23.fc25 wxGTK3-3.0.2-23.fc24 wxGTK3-3.0.2-23.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-23 06:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.48 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: core_backtrace (3.28 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: dso_list (10.16 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: environ (3.07 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: exploitable (95 bytes, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: maps (53.54 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: mountinfo (3.70 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: open_fds (1.08 KB, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details
File: var_log_messages (312 bytes, text/plain)
2015-09-27 05:15 EDT, František Zatloukal
no flags Details

  None (edit)
Description František Zatloukal 2015-09-27 05:15:32 EDT
Description of problem:
1. Run FileZilla in Wayland

Version-Release number of selected component:
filezilla-3.12.0.2-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        filezilla
crash_function: XKeysymToKeycode
executable:     /usr/bin/filezilla
global_pid:     3938
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XKeysymToKeycode at XKBBind.c:157
 #1 wxGetKeyState at src/unix/utilsx11.cpp:823
 #2 wxListCtrlEx::ReadColumnWidths at listctrlex.cpp:532
 #3 wxListCtrlEx::LoadColumnSettings at listctrlex.cpp:436
 #4 CQueueViewBase::CreateColumns at queue.cpp:1199
 #5 CQueueView::CQueueView at QueueView.cpp:457
 #6 CQueue::CQueue at queue.cpp:1463
 #7 CMainFrame::CMainFrame at Mainfrm.cpp:348
 #8 CFileZillaApp::OnInit at FileZilla.cpp:248
 #9 wxEntry at src/common/init.cpp:479
Comment 1 František Zatloukal 2015-09-27 05:15:36 EDT
Created attachment 1077626 [details]
File: backtrace
Comment 2 František Zatloukal 2015-09-27 05:15:37 EDT
Created attachment 1077627 [details]
File: cgroup
Comment 3 František Zatloukal 2015-09-27 05:15:39 EDT
Created attachment 1077628 [details]
File: core_backtrace
Comment 4 František Zatloukal 2015-09-27 05:15:41 EDT
Created attachment 1077629 [details]
File: dso_list
Comment 5 František Zatloukal 2015-09-27 05:15:42 EDT
Created attachment 1077630 [details]
File: environ
Comment 6 František Zatloukal 2015-09-27 05:15:44 EDT
Created attachment 1077631 [details]
File: exploitable
Comment 7 František Zatloukal 2015-09-27 05:15:45 EDT
Created attachment 1077632 [details]
File: limits
Comment 8 František Zatloukal 2015-09-27 05:15:48 EDT
Created attachment 1077633 [details]
File: maps
Comment 9 František Zatloukal 2015-09-27 05:15:49 EDT
Created attachment 1077634 [details]
File: mountinfo
Comment 10 František Zatloukal 2015-09-27 05:15:51 EDT
Created attachment 1077635 [details]
File: namespaces
Comment 11 František Zatloukal 2015-09-27 05:15:53 EDT
Created attachment 1077636 [details]
File: open_fds
Comment 12 František Zatloukal 2015-09-27 05:15:54 EDT
Created attachment 1077637 [details]
File: proc_pid_status
Comment 13 František Zatloukal 2015-09-27 05:15:56 EDT
Created attachment 1077638 [details]
File: var_log_messages
Comment 14 Heiko Adams 2015-12-04 03:58:31 EST
I can confirm this issue.
Comment 15 Olivier Fourdan 2015-12-22 08:59:46 EST
Looks like filezilla is trying to use X11 even when the Gdk backend is Wayland, thus the crash.

(filezilla:11673): GLib-GObject-WARNING **: invalid cast from 'GdkWaylandDisplay' to 'GdkX11Display'

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff12bdb39 in _XSend () from /lib64/libX11.so.6

#0  0x00007ffff12bdb39 in _XSend () from /lib64/libX11.so.6
#1  0x00007ffff12bdf45 in _XFlush () from /lib64/libX11.so.6
#2  0x00007ffff12c0ac5 in _XGetRequest () from /lib64/libX11.so.6
#3  0x00007ffff130d0fb in _XkbGetGetMapReq.isra.5 () from /lib64/libX11.so.6
#4  0x00007ffff130e94d in XkbGetMapChanges () from /lib64/libX11.so.6
#5  0x00007ffff130aabf in XKeysymToKeycode () from /lib64/libX11.so.6
#6  0x00007ffff683bc64 in wxGetKeyState(wxKeyCode) () from /lib64/libwx_gtk3u_core-3.0.so.0
#7  0x00005555556d892e in wxListCtrlEx::ReadColumnWidths (this=this@entry=0x5555563f2d50, optionId=optionId@entry=75) at listctrlex.cpp:531
#8  0x00005555556d8d78 in wxListCtrlEx::LoadColumnSettings (this=this@entry=0x5555563f2d50, widthsOptionId=widthsOptionId@entry=75, 
    visibilityOptionId=visibilityOptionId@entry=-1, sortOptionId=sortOptionId@entry=-1) at listctrlex.cpp:435
#9  0x0000555555732cbb in CQueueViewBase::CreateColumns (this=this@entry=0x5555563f2d50, extraColumns=...) at queue.cpp:1221
#10 0x000055555574200f in CQueueView::CQueueView (this=0x5555563f2d50, parent=<optimized out>, index=<optimized out>, 
    pMainFrame=<optimized out>, pAsyncRequestQueue=0x5555563d9c60) at QueueView.cpp:457
#11 0x00005555557305f6 in CQueue::CQueue (this=0x5555563e8000, parent=<optimized out>, pMainFrame=0x55555618ea00, 
    pAsyncRequestQueue=0x5555563d9c60) at queue.cpp:1514
#12 0x000055555570c2ee in CMainFrame::CMainFrame (this=0x55555618ea00) at Mainfrm.cpp:341
#13 0x00005555556a6a67 in CFileZillaApp::OnInit (this=0x555555cca200) at FileZilla.cpp:248
#14 0x00007ffff5de2072 in wxEntry(int&, wchar_t**) () from /lib64/libwx_baseu-3.0.so.0
#15 0x0000555555623ce9 in main (argc=1, argv=0x7fffffffdbb8) at locale_initializer.cpp:98

Obviously, forcing the gdk backend to X11 avoids the crash (GDK_BACKEND=x11 filezilla) but it's not a fix.
Comment 16 František Zatloukal 2015-12-22 09:04:13 EST
If forcing GDK backend to X11 helps this could be "worked around" by forcing X11 through the .desktop file (or better by adding startup script which will force the X11 backend a then launch real binary).
Comment 17 Heiko Adams 2016-01-14 11:31:14 EST
Any progress on this issue?
Comment 18 Matthias Clasen 2016-08-31 18:53:14 EDT
Looks like an issue in wxGTK3
Comment 19 Scott Talbert 2016-09-01 21:14:55 EDT
*** Bug 1362258 has been marked as a duplicate of this bug. ***
Comment 20 Scott Talbert 2016-09-02 00:30:27 EDT
Oddly, I'm not able to reproduce this, at least on F24.  I can see wxGTK calling XKeysymToKeycode.  It doesn't work, but it doesn't crash either.
Comment 21 Christian Stadelmann 2016-09-02 03:04:18 EDT
Hm, I ran into a pretty similiar bug on F24 just 1 month ago, see #1356289. Right now I can't reproduce either of them.
Comment 22 Olivier Fourdan 2016-09-02 03:23:27 EDT
These bugs are causes by apps or toolkits wrongly assuming their GdkDisplay is necessarily a GdkX11Display (ie the backend is always X11) whereas with Wayland, well, it's not...

If you cannot reproduce, either the app has been fixed or the launcher was changed to use the X11 backend even on Wayland, I can't think of anything else.
Comment 23 Christian Stadelmann 2016-09-02 03:41:44 EDT
(In reply to Olivier Fourdan from comment #22)
> If you cannot reproduce, either the app has been fixed or the launcher was
> changed to use the X11 backend even on Wayland, I can't think of anything
> else.

Gtk-Inspector (Ctrl+Shift+I on any Gtk+ 3.x app) shows that filezilla is running with Wayland as Gdk backend.

I don't think this has been fixed though, because neither wxGTK3 nor filezilla have seen any updates since I reported bug #1356289 on 2016-07-13. Maybe this bug is just not easy to reproduce.
Comment 24 Scott Talbert 2016-09-02 20:55:25 EDT
I submitted a PR to wxWidgets upstream:
https://github.com/wxWidgets/wxWidgets/pull/320

I'll pull it into Fedora if/when they are happy with it.
Comment 25 Scott Talbert 2016-09-02 21:07:14 EDT
*** Bug 1356289 has been marked as a duplicate of this bug. ***
Comment 26 Scott Talbert 2016-09-13 20:25:31 EDT
*** Bug 1370227 has been marked as a duplicate of this bug. ***
Comment 27 Fedora Update System 2016-09-15 11:01:04 EDT
wxGTK-2.8.12-24.fc23 wxGTK3-3.0.2-21.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-835be81af6
Comment 28 Fedora Update System 2016-09-15 11:01:25 EDT
wxGTK-2.8.12-24.fc24 wxGTK3-3.0.2-21.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d04da1545
Comment 29 Fedora Update System 2016-09-15 11:01:42 EDT
wxGTK-2.8.12-24.fc25 wxGTK3-3.0.2-21.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3e076fdba
Comment 30 Fedora Update System 2016-09-15 20:52:04 EDT
wxGTK-2.8.12-24.fc23, wxGTK3-3.0.2-21.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-835be81af6
Comment 31 Fedora Update System 2016-09-15 20:53:32 EDT
wxGTK-2.8.12-24.fc24, wxGTK3-3.0.2-21.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d04da1545
Comment 32 Fedora Update System 2016-09-15 21:24:04 EDT
wxGTK-2.8.12-24.fc25, wxGTK3-3.0.2-21.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e3e076fdba
Comment 33 Scott Talbert 2016-09-16 09:53:26 EDT
*** Bug 1361550 has been marked as a duplicate of this bug. ***
Comment 34 Scott Talbert 2016-09-16 09:55:40 EDT
*** Bug 1321343 has been marked as a duplicate of this bug. ***
Comment 35 Scott Talbert 2016-09-16 09:56:46 EDT
*** Bug 1358027 has been marked as a duplicate of this bug. ***
Comment 36 Scott Talbert 2016-09-16 09:58:01 EDT
*** Bug 1362172 has been marked as a duplicate of this bug. ***
Comment 37 Scott Talbert 2016-09-16 09:58:46 EDT
*** Bug 1364468 has been marked as a duplicate of this bug. ***
Comment 38 Scott Talbert 2016-09-16 10:00:02 EDT
*** Bug 1368749 has been marked as a duplicate of this bug. ***
Comment 39 Scott Talbert 2016-09-16 10:00:38 EDT
*** Bug 1374914 has been marked as a duplicate of this bug. ***
Comment 40 Scott Talbert 2016-09-16 10:09:07 EDT
If some of the folks who are seeing filezilla crashes under Wayland could test this wxGTK3 update and verify it resolves the crashes, that would be appreciated.
Comment 41 Fedora Update System 2016-09-19 23:49:56 EDT
wxGTK3-3.0.2-23.fc23 wxGTK-2.8.12-26.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6af21a57ce
Comment 42 Fedora Update System 2016-09-19 23:50:28 EDT
wxGTK3-3.0.2-23.fc24 wxGTK-2.8.12-26.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3560aaba49
Comment 43 Fedora Update System 2016-09-19 23:50:46 EDT
wxGTK3-3.0.2-23.fc25 wxGTK-2.8.12-26.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89935dbd98
Comment 44 Fedora Update System 2016-09-20 15:57:02 EDT
wxGTK-2.8.12-26.fc25, wxGTK3-3.0.2-23.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89935dbd98
Comment 45 Fedora Update System 2016-09-21 21:24:51 EDT
wxGTK-2.8.12-26.fc23, wxGTK3-3.0.2-23.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6af21a57ce
Comment 46 Fedora Update System 2016-09-21 21:25:46 EDT
wxGTK-2.8.12-26.fc24, wxGTK3-3.0.2-23.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3560aaba49
Comment 47 František Zatloukal 2016-09-23 06:19:19 EDT
(In reply to Scott Talbert from comment #40)
> If some of the folks who are seeing filezilla crashes under Wayland could
> test this wxGTK3 update and verify it resolves the crashes, that would be
> appreciated.

Fixes the issue, thanks.
Comment 48 Fedora Update System 2016-09-26 20:36:57 EDT
wxGTK-2.8.12-26.fc25, wxGTK3-3.0.2-23.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2016-09-26 23:51:33 EDT
wxGTK-2.8.12-26.fc24, wxGTK3-3.0.2-23.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 50 Fedora Update System 2016-09-29 18:51:10 EDT
wxGTK-2.8.12-26.fc23, wxGTK3-3.0.2-23.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.